Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DBSnapshot

    java.lang.Object
      com.amazonaws.services.rds.model.DBSnapshot

    public class DBSnapshot

extends Object

Constructor Summary
`DBSnapshot()`

Method Summary
`Integer` | `getAllocatedStorage()` Specifies the allocated storage size in gigabytes (GB).
`String` | `getAvailabilityZone()` Specifies the name of the Availability Zone the DB Instance was located in at the time of the DB Snapshot.
`String` | `getDBInstanceIdentifier()` Specifies the the DBInstanceIdentifier of the DB Instance this DB Snapshot was created from.
`String` | `getDBSnapshotIdentifier()` Specifies the identifier for the DB Snapshot.
`String` | `getEngine()` Specifies the name of the database engine.
`Date` | `getInstanceCreateTime()` Specifies the time (UTC) when the snapshot was taken.
`String` | `getMasterUsername()` Provides the master username for the DB Instance.
`Integer` | `getPort()` Specifies the port that the database engine was listening on at the time of the snapshot.
`Date` | `getSnapshotCreateTime()` Provides the time (UTC) when the snapshot was taken.
`String` | `getStatus()` Specifies the status of this DB Snapshot.
`void` | `setAllocatedStorage(Integer allocatedStorage)` Specifies the allocated storage size in gigabytes (GB).
`void` | `setAvailabilityZone(String availabilityZone)` Specifies the name of the Availability Zone the DB Instance was located in at the time of the DB Snapshot.
`void` | `setDBInstanceIdentifier(String dBInstanceIdentifier)` Specifies the the DBInstanceIdentifier of the DB Instance this DB Snapshot was created from.
`void` | `setDBSnapshotIdentifier(String dBSnapshotIdentifier)` Specifies the identifier for the DB Snapshot.
`void` | `setEngine(String engine)` Specifies the name of the database engine.
`void` | `setInstanceCreateTime(Date instanceCreateTime)` Specifies the time (UTC) when the snapshot was taken.
`void` | `setMasterUsername(String masterUsername)` Provides the master username for the DB Instance.
`void` | `setPort(Integer port)` Specifies the port that the database engine was listening on at the time of the snapshot.
`void` | `setSnapshotCreateTime(Date snapshotCreateTime)` Provides the time (UTC) when the snapshot was taken.
`void` | `setStatus(String status)` Specifies the status of this DB Snapshot.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DBSnapshot` | `withAllocatedStorage(Integer allocatedStorage)` Specifies the allocated storage size in gigabytes (GB).
`DBSnapshot` | `withAvailabilityZone(String availabilityZone)` Specifies the name of the Availability Zone the DB Instance was located in at the time of the DB Snapshot.
`DBSnapshot` | `withDBInstanceIdentifier(String dBInstanceIdentifier)` Specifies the the DBInstanceIdentifier of the DB Instance this DB Snapshot was created from.
`DBSnapshot` | `withDBSnapshotIdentifier(String dBSnapshotIdentifier)` Specifies the identifier for the DB Snapshot.
`DBSnapshot` | `withEngine(String engine)` Specifies the name of the database engine.
`DBSnapshot` | `withInstanceCreateTime(Date instanceCreateTime)` Specifies the time (UTC) when the snapshot was taken.
`DBSnapshot` | `withMasterUsername(String masterUsername)` Provides the master username for the DB Instance.
`DBSnapshot` | `withPort(Integer port)` Specifies the port that the database engine was listening on at the time of the snapshot.
`DBSnapshot` | `withSnapshotCreateTime(Date snapshotCreateTime)` Provides the time (UTC) when the snapshot was taken.
`DBSnapshot` | `withStatus(String status)` Specifies the status of this DB Snapshot.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBSnapshot

    public DBSnapshot()

Method Detail

### getDBSnapshotIdentifier

    public String getDBSnapshotIdentifier()

  Specifies the identifier for the DB Snapshot.

  Returns:
    Specifies the identifier for the DB Snapshot.

### setDBSnapshotIdentifier

    public void setDBSnapshotIdentifier(String dBSnapshotIdentifier)

  Specifies the identifier for the DB Snapshot.

  Parameters:
    `dBSnapshotIdentifier` - Specifies the identifier for the DB Snapshot.

### withDBSnapshotIdentifier

    public DBSnapshot withDBSnapshotIdentifier(String dBSnapshotIdentifier)

  Specifies the identifier for the DB Snapshot.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSnapshotIdentifier` - Specifies the identifier for the DB Snapshot.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBInstanceIdentifier

    public String getDBInstanceIdentifier()

  Specifies the the DBInstanceIdentifier of the DB Instance this DB Snapshot was created from.

  Returns:
    Specifies the the DBInstanceIdentifier of the DB Instance this DB Snapshot was created from.

### setDBInstanceIdentifier

    public void setDBInstanceIdentifier(String dBInstanceIdentifier)

  Specifies the the DBInstanceIdentifier of the DB Instance this DB Snapshot was created from.

  Parameters:
    `dBInstanceIdentifier` - Specifies the the DBInstanceIdentifier of the DB Instance this DB Snapshot was created from.

### withDBInstanceIdentifier

    public DBSnapshot withDBInstanceIdentifier(String dBInstanceIdentifier)

  Specifies the the DBInstanceIdentifier of the DB Instance this DB Snapshot was created from.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceIdentifier` - Specifies the the DBInstanceIdentifier of the DB Instance this DB Snapshot was created from.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSnapshotCreateTime

    public Date getSnapshotCreateTime()

  Provides the time (UTC) when the snapshot was taken.

  Returns:
    Provides the time (UTC) when the snapshot was taken.

### setSnapshotCreateTime

    public void setSnapshotCreateTime(Date snapshotCreateTime)

  Provides the time (UTC) when the snapshot was taken.

  Parameters:
    `snapshotCreateTime` - Provides the time (UTC) when the snapshot was taken.

### withSnapshotCreateTime

    public DBSnapshot withSnapshotCreateTime(Date snapshotCreateTime)

  Provides the time (UTC) when the snapshot was taken.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshotCreateTime` - Provides the time (UTC) when the snapshot was taken.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEngine

    public String getEngine()

  Specifies the name of the database engine.

  Returns:
    Specifies the name of the database engine.

### setEngine

    public void setEngine(String engine)

  Specifies the name of the database engine.

  Parameters:
    `engine` - Specifies the name of the database engine.

### withEngine

    public DBSnapshot withEngine(String engine)

  Specifies the name of the database engine.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `engine` - Specifies the name of the database engine.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAllocatedStorage

    public Integer getAllocatedStorage()

  Specifies the allocated storage size in gigabytes (GB).

  Returns:
    Specifies the allocated storage size in gigabytes (GB).

### setAllocatedStorage

    public void setAllocatedStorage(Integer allocatedStorage)

  Specifies the allocated storage size in gigabytes (GB).

  Parameters:
    `allocatedStorage` - Specifies the allocated storage size in gigabytes (GB).

### withAllocatedStorage

    public DBSnapshot withAllocatedStorage(Integer allocatedStorage)

  Specifies the allocated storage size in gigabytes (GB).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `allocatedStorage` - Specifies the allocated storage size in gigabytes (GB).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStatus

    public String getStatus()

  Specifies the status of this DB Snapshot.

  Returns:
    Specifies the status of this DB Snapshot.

### setStatus

    public void setStatus(String status)

  Specifies the status of this DB Snapshot.

  Parameters:
    `status` - Specifies the status of this DB Snapshot.

### withStatus

    public DBSnapshot withStatus(String status)

  Specifies the status of this DB Snapshot.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `status` - Specifies the status of this DB Snapshot.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPort

    public Integer getPort()

  Specifies the port that the database engine was listening on at the time of the snapshot.

  Returns:
    Specifies the port that the database engine was listening on at the time of the snapshot.

### setPort

    public void setPort(Integer port)

  Specifies the port that the database engine was listening on at the time of the snapshot.

  Parameters:
    `port` - Specifies the port that the database engine was listening on at the time of the snapshot.

### withPort

    public DBSnapshot withPort(Integer port)

  Specifies the port that the database engine was listening on at the time of the snapshot.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `port` - Specifies the port that the database engine was listening on at the time of the snapshot.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  Specifies the name of the Availability Zone the DB Instance was located in at the time of the DB Snapshot.

  Returns:
    Specifies the name of the Availability Zone the DB Instance was located in at the time of the DB Snapshot.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  Specifies the name of the Availability Zone the DB Instance was located in at the time of the DB Snapshot.

  Parameters:
    `availabilityZone` - Specifies the name of the Availability Zone the DB Instance was located in at the time of the DB Snapshot.

### withAvailabilityZone

    public DBSnapshot withAvailabilityZone(String availabilityZone)

  Specifies the name of the Availability Zone the DB Instance was located in at the time of the DB Snapshot.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - Specifies the name of the Availability Zone the DB Instance was located in at the time of the DB Snapshot.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceCreateTime

    public Date getInstanceCreateTime()

  Specifies the time (UTC) when the snapshot was taken.

  Returns:
    Specifies the time (UTC) when the snapshot was taken.

### setInstanceCreateTime

    public void setInstanceCreateTime(Date instanceCreateTime)

  Specifies the time (UTC) when the snapshot was taken.

  Parameters:
    `instanceCreateTime` - Specifies the time (UTC) when the snapshot was taken.

### withInstanceCreateTime

    public DBSnapshot withInstanceCreateTime(Date instanceCreateTime)

  Specifies the time (UTC) when the snapshot was taken.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceCreateTime` - Specifies the time (UTC) when the snapshot was taken.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMasterUsername

    public String getMasterUsername()

  Provides the master username for the DB Instance.

  Returns:
    Provides the master username for the DB Instance.

### setMasterUsername

    public void setMasterUsername(String masterUsername)

  Provides the master username for the DB Instance.

  Parameters:
    `masterUsername` - Provides the master username for the DB Instance.

### withMasterUsername

    public DBSnapshot withMasterUsername(String masterUsername)

  Provides the master username for the DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterUsername` - Provides the master username for the DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.